summaryrefslogtreecommitdiffstats
path: root/extras/hook-scripts/S30samba-start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extras/hook-scripts/S30samba-start.sh')
-rwxr-xr-xextras/hook-scripts/S30samba-start.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/extras/hook-scripts/S30samba-start.sh b/extras/hook-scripts/S30samba-start.sh
index 191b1dbb438..9f1b20a25b0 100755
--- a/extras/hook-scripts/S30samba-start.sh
+++ b/extras/hook-scripts/S30samba-start.sh
@@ -73,7 +73,7 @@ function add_samba_share () {
function sighup_samba () {
pid=`cat ${PIDDIR}/smbd.pid`
- if [ "$pid" != "" ]
+ if [ "x$pid" != "x" ]
then
kill -HUP "$pid";
else
@@ -104,7 +104,7 @@ fi
#Find smb.conf, smbd pid directory and smbd logfile path
find_config_info
-if ! grep --quiet "gluster-$VOL" ${CONFIGFILE} ; then
+if ! grep --quiet "\[gluster-$VOL\]" ${CONFIGFILE} ; then
add_samba_share $VOL
sighup_samba
fi